﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WinApp
{
    using System.Drawing.Printing;
    using Telerik.Reporting;

    public partial class Form0 : Form
    {
        public Form0()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Form frm = new Form1();
            frm.ShowDialog();
        }

        private void button4_Click(object sender, EventArgs e)
        {

            using (PrintDialog printDlg = new PrintDialog())
            {
                printDlg.AllowSomePages = true;
                printDlg.AllowCurrentPage = false;
                printDlg.UseEXDialog = true;

                if (DialogResult.OK == printDlg.ShowDialog())
                {
                    Telerik.Reporting.Processing.ReportProcessor.Print(
                        new Reports.Report1(),
                        printDlg.PrinterSettings);
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Telerik.Reporting.Processing.ReportProcessor.Print(
                new Reports.Report1(),
                new PrinterSettings());
        }

        private void button3_Click(object sender, EventArgs e)
        {
            PrinterSettings printerSettings = new PrinterSettings();
            printerSettings.PrinterName = "GreenPrint";
            Telerik.Reporting.Processing.ReportProcessor.Print(
                new Reports.Report1(),
                printerSettings);
        }
    }
}